unit datmod;

interface

uses
  System.SysUtils, System.Classes, siComp,Forms;

type
  TDM = class(TDataModule)
    siLang1: TsiLang;
    siLangDispatcher1: TsiLangDispatcher;
    procedure DataModuleCreate(Sender: TObject);
    procedure siLangDispatcher1LinkToDispatcher(Sender: TObject;
      ASiLang: TsiCustomLang);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DM: TDM;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

procedure TDM.DataModuleCreate(Sender: TObject);
var
  SibFile: string;
  FL: string;

begin
  FL := Application.ExeName;
  SibFile := ChangeFileExt(FL, '.sib');
  if FileExists(SibFile) then
  begin
    siLangDispatcher1.FileName := SibFile;
//    siLangDispatcher1.LoadAllFromFile(SibFile);
  end;
end;

procedure TDM.siLangDispatcher1LinkToDispatcher(Sender: TObject;
  ASiLang: TsiCustomLang);
begin
  if FileExists(siLangDispatcher1.FileName) then
    ASiLang.LoadAllFromFile(siLangDispatcher1.FileName,False);

  if ASiLang.Owner.ClassName='TFhlavfrm' then
  begin
    ASiLang.ReplaceStringValue(ASiLang.Captions,'OK in DISP','btn1',1);
    ASiLang.ReplaceStringValue(ASiLang.Captions,'ReplaceStringValue in DISP','lblSLD',1);
    ASiLang.ChangeLanguage;
  end;
  if ASiLang.Owner.Name='FChild' then
  begin
    ASiLang.ReplaceStringValue(ASiLang.Captions,'Text from DISP LBL1','lbl1',1);
    ASiLang.ReplaceStringValue(ASiLang.Captions,'Text from DISP LBL2','lbl2',1);
    ASiLang.ReplaceStringValue(ASiLang.Captions,'OK in DISP','btn1',1);
    ASiLang.ChangeLanguage;
  end;
end;

end.
